* {
    box-sizing: border-box;
}

body {
    margin: 0;
}

.box {
    width: 800px;
    height: 800px;
    background: red;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.block_1 {

    display: flex;
    flex-direction: column;
    justify-content: space-between;

}

.block_1_1 {
    width: 100px;
    height: 100px;
    background: yellow;

}

.block_1_2 {
    width: 100px;
    height: 100px;
    background: yellow;

}


.block_3 {
    width: 150px;
    height: 150px;
    background: green;
    align-self: center;
}

.block_2 {
    width: 300px;
    background: blue;
    align-items: stretch;
    flex-shrink: 0;
    overflow-y: scroll;
    padding: 10px;
}

.horizontal_block {
    min-height: 100px;
    background: #7c0b7c;
}

.horizontal_block:not(:last-child) {
    margin-bottom: 10px;
}

.horizontal_1 {
    height: 150px;
}

.horizontal_2 {
    height: 120px;
}

.horizontal_3 {
    height: 200px;
}

.horizontal_4 {
    height: 80px;
}

.horizontal_5 {
    height: 50px;
}

.horizontal_6 {
    height: 70px;
}

.horizontal_7 {
    height: 160px;
}

.horizontal_8 {
    height: 210px;
}

.horizontal_9 {
    height: 30px;
}

.horizontal_10 {
    height: 250px;
}

.horizontal_11 {
    height: 55px;
}

.horizontal_12 {
    height: 110px;
}

.horizontal_13 {
    height: 98px;
}

.horizontal_14 {
    height: 270px;
}

.horizontal_15 {
    height: 140px;
}

.horizontal_15 {
    height: 130px;
}

.horizontal_16 {
    height: 120px;
}